Bug 146999 - interval timer 1ms late
interval timer 1ms late
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-03 10:50 EST by Gilles Berger Sabbatel
Modified: 2015-01-04 17:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:15:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gilles Berger Sabbatel 2005-02-03 10:50:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020 Epiphany/1.4.4

Description of problem:
When using setitimer(ITIMER_REAL, &itv, 0) to get periodic interrupts
for N milliseconds (N*1000 microseconds), the actual interval is N+1
milliseconds.

For example, with an interval set to exactly 1000 microseconds, the
actual interval obtained is 2000 microseconds.  If the interval is set
to 999 microseconds, the interval obtained is 1000 microseconds.  If
the interval is set to 2000 microseconds, the actual interval obtained
is 3000 microseconds...



Version-Release number of selected component (if applicable):
kernel-2.6.10-1.741_FC3

How reproducible:
Always

Steps to Reproduce:
1. Write a program wich uses setitimer(ITIMER_REAL, &itv, 0) to set
an interval timer of N microseconds, and compute the average actual
interval with gettimeofday.
2. run the program with N set to 1000 microseconds
3. run the program with N set to 999 microsedonds
    

Actual Results:  In the first case tha average interval is around 2
ms.  In the second,
it is around 1 ms.

Expected Results:  In both cases, the delay should be around 1 ms.

Additional info:

Processors : Athlon XP 1800+, Pentium IV 3.5GHz, Xeon 2.7 GHz.
Comment 1 Dave Jones 2005-07-15 13:48:00 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 2 Dave Jones 2005-10-02 20:15:17 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.